refdbctl
Prev | Chapter 12. The application server | Next

## Name

refdbctl — refdbd startup script

## Synopsis

`refdbctl` `start` | `stop` | `restart` | `reload`

## Description

refdbctl is a wrapper script to be used as a manual control script for the refdbd(1) daemon. It is also used by the refdb(8) startup script. The script takes care of avoiding multiple copies of the daemon and allows you to stop the daemon without knowing its process ID.

## Options

start

  Starts the refdbd(1) daemon unless it is already running

stop

  Stops the refdbd(1) daemon

restart

  Restarts the refdbd(1) daemon if it is already running. The existing process is stopped, and a new process is started.

reload

  Asks the refdbd(1) daemon to reload its configuration file. Use this command to let changes to your configuration file take effect without stopping the process.

## Files

`/var/run/refdbd.pid`

The run file containing the process ID of the running refdbd process.

## See also

RefDB (7), refdbd (1).

RefDB manual (local copy) <prefix>/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

refdbctl was written by Markus Hoenicka <markus@mhoenicka.de>.

Prev | Up | Next
Chapter 12. The application server | Home | refdbd